Bug 853696 - "yum downgrade firefox" doesn't install previous version but an obsolete one
"yum downgrade firefox" doesn't install previous version but an obsolete one
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 03:55 EDT by choufleur
Modified: 2014-01-21 18:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 16:41:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description choufleur 2012-09-02 03:55:18 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.yum downgrade firefox
2.
3.
  
Actual results:
erase firefox.x86_64 0:15.0-1.fc17
install firefox.x86_64 0:12.0-1.fc17 

Expected results:
install firefox.x86_64 0:14.0.1-1.fc17

Additional info:
firefox.x86_64 0:12.0-1.fc17 won't launch (but it doesn't really matter).
Comment 1 James Antill 2013-05-28 16:41:17 EDT
Fedora don't keep multiple updates in their repos. so the only version available to downgrade to tends to be the GA version. There are some workarounds, like the "local" plugin.

Note You need to log in before you can comment on or make changes to this bug.